
U++ - Bug #653

Compilation fails with freetype >= 2.5.1

01/19/2014 11:32 AM - Jan Dolinár

Status: Approved Start date: 01/19/2014

Priority: Normal Due date:

Assignee: Jan Dolinár % Done: 0%

Category: Draw Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Since freetype 2.5.1, the include paths for freetype have different structure. Official announcement of this change can be found here: 

http://sourceforge.net/projects/freetype/files/freetype2/2.5.1/. From quick googling, the only major distros affected now are Arch, Gentoo

and OpenSuSE Factory, but it will probably soon come to others as well...

What this means for U++: It is now necessary to include the files without the freetype/ prefix to assure it'll work with all versions. This in

turn means, that the include path might need to be modified on systems with versions < 2.5.1 to /usr/include/freetype2/freetype. What

should we do about that, forum announcement?. Also, the default build methods and some of the packaging scripts will need to be

modified, ideally to include both variants, so that it all works with any version of freetype. I can do that, if you approve.

Only file in U++ affected by this change is FontFc.cpp:

Index: uppsrc/Draw/FontFc.cpp

===================================================================

--- uppsrc/Draw/FontFc.cpp       (revision 6702)

+++ uppsrc/Draw/FontFc.cpp       (working copy)

@@ -10,7 +10,7 @@

 #include <fontconfig/fontconfig.h>

 #include <fontconfig/fcfreetype.h>

-#include <freetype/ftxf86.h>

+#include <ftxf86.h>

 NAMESPACE_UPP

History

#1 - 01/19/2014 12:35 PM - Jan Dolinár

- Subject changed from Compilation fails with freetype > 2.5.1 to Compilation fails with freetype >= 2.5.1

#2 - 01/27/2014 10:18 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

As there is only single function in that file and its signature is unlikely to change ever, I have simply moved it to the file. Seems to resolve the issue...

#3 - 01/27/2014 04:52 PM - Jan Dolinár

- Status changed from Ready for QA to Approved
http://sourceforge.net/projects/freetype/files/freetype2/2.5.1/


Seems OK on Arch. I'll check the rest tomorrow, but I expect it to work as well.
